1. Warehouse - HMAC Auth
Calven Developer Docs
  • Overview
  • Access Control
  • Basic Authentication
  • HMAC Authentication
  • SDKs
  • Calven Data Models
  • Changelog
  • Authentication
    • Generate a token with an API key and HMAC
      POST
    • Generate a token with an API key and client secret
      POST
  • Presence
    • Presence Overview
    • Submit presence events
      POST
    • Submit presence events (Basic auth)
      POST
  • Occupancy
    • Occupancy Overview
    • Submit occupancy events
      POST
  • Time Off
    • Submit time off updates
      POST
  • Access Credentials
    • Submit access credentials
      POST
  • Warehouse - Basic Auth
    • Warehouse API (Basic Auth)
    • Users (Basic auth)
    • Groups (Basic auth)
    • Locations (Basic auth)
    • Desks (Basic auth)
    • Bookings & Attendance (Basic auth)
    • Presence (Basic auth)
    • User Actions Log (Basic auth)
    • Events (Basic auth)
  • Warehouse - HMAC Auth
    • Warehouse API (HMAC Auth)
    • Users
      GET
    • Groups
      GET
    • Locations
      GET
    • Desks
      GET
    • Bookings & Attendance
      GET
    • Presence
      GET
    • User Actions Log
      GET
    • Events
      GET
  • Hierarchy Information
    • Org Hierarchy Information Overview
    • Submit group hierarchy relationships
    • Submit group hierarchy relationships (Basic auth)
  • User Attributes
    • User Attributes Overview
    • Write directory user attributes
    • Write directory user attributes (Basic auth)
  • Visitor Management
    • Submit visitor arrival events
    • Submit visitor arrival events (Basic auth)
  • Parking
    • Retrieve parking bookings
    • Retrieve parking bookings (Basic auth)
  • Schemas
    • Schemas
    • DWEventsResponseDto
  1. Warehouse - HMAC Auth

Desks

GET
/v1/analytics/desks

Request

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.calven.com/v1/analytics/desks?locationId=undefined'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
[
    {
        "assignedUserId": "3a2b0fd7-5f5a-4472-ab61-a2cc1784d38b",
        "assignedUserName": "johndoe@calven.com",
        "levelId": "3a2b0fd7-5f5a-4472-ab61-a2cc1784d38b",
        "levelName": "Level 1",
        "placeId": "3a2b0fd7-5f5a-4472-ab61-a2cc1784d38b",
        "placeName": "Main Office",
        "type": "assigned",
        "zoneId": "3a2b0fd7-5f5a-4472-ab61-a2cc1784d38b",
        "zoneName": "Zone A"
    }
]
Modified at 2026-09-01 05:14:50
Previous
Locations
Next
Bookings & Attendance
Built with